# $Revision: 1.18 $, $Date: 2004/04/26 17:13:44 $
Summary:	XFree86/SVGAlib/FrameBuffer mode lines generator
Summary(pl):	Generator trybw graficznych dla XFree86/SVGAlib/FrameBuffer
Name:		modeline
Version:	0.6.5
Release:	3
License:	GPL
Group:		Base/Utilities
Source0:	http://home.kvalito.no/~bragthor/cgi-bin/countdown.cgi?modeline/%{name}-%{version}.tar.bz2
# Source0-md5:	cc5cabf6f8143d7e5e2df1587227c678
Patch0:		modeline-acbuild.patch
URL:		http://home.kvalito.no/~bragthor/files.shtml
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Modeline is a small utility to make XFree86/SVGAlib/FrameBuffer
modelines.

%description -l pl
Modeline jest maym narzdziem do generowania trybw graficznych dla
XFree86, SVGAlib oraz FrameBuffera.

%prep
%setup  -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
install %{_datadir}/automake/config.* .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/mode.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: modeline.spec,v $
Revision 1.18  2004/04/26 17:13:44  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.17  2003/10/15 22:09:31  andree
- add patch0 (fix build in ac)

Revision 1.16  2003/08/20 15:33:34  qboosh
- no // in paths, other cosmetics

Revision 1.15  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/27 20:25:32  djurban
- fixed %%build on nest

Revision 1.12  2002/11/27 22:06:22  juandon
- new %%doc

Revision 1.11  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/05/21 23:14:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/02/23 03:54:20  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/21 07:23:39  kloczek
- reelase 2.

Revision 1.5  2001/11/21 03:03:08  blues
- fixed URL
- switched to .bz2 sources

Revision 1.4  2001/10/11 08:38:35  qboosh
- BuildRequires: autoconf, automake

Revision 1.3  2001/08/09 13:33:51  agaran
added aclocal/autoconf in %build for ac-25

Revision 1.2  2000/12/10 11:31:02  kloczek
- cosmetics.

Revision 1.1  2000/12/10 11:26:01  mkochano
- Written from template.
- Seems ready.
